<template>
    <b-container fluid>
    <b-row align-h="center" class="mt-2">
    <b-col>
    <div>
  <b-card
    overlay
    img-src="https://picsum.photos/id/871/1200/400"
    img-width="1200"
    img-height="400"
    img-alt="Card Image"
    text-variant="white"
    :title= "jogos.nome"
    sub-title="Criador"
  >
  </b-card>
</div>

<hr>

<div>
<b-row>
<b-col cols="8">
<b-jumbotron bg-variant="white" border-variant="dark">
<h1 align="left" > {{ jogos.nome }}</h1>
<h4 align="center">Description</h4>
<b-col cols="16">
<b-jumbotron bg-variant= "white" border-variant="dark">
<h4> {{jogos.descricao}}</h4>
</b-jumbotron>
</b-col>
</b-jumbotron>
</b-col>
<!-- Jumbotron contendo os tiers e progress bar-->
<b-col cols="4">
<b-jumbotron bg-variant="white" border-variant="dark">
<div>
<h5>Quantia Doada</h5>
<b-progress :value= "150000" :max="jogos.meta" :precision="2" show-value></b-progress>
<h5>Valor alvo: {{jogos.meta}}</h5>
</div>
<div>
<hr>

<h4>Doe para Ganhar</h4>
<!-- Cria os Cards dos tiers-->
<b-card-group>
<b-row>
<b-card bg-variant="white" border-variant="dark">
<h3 align="center" id="tierTitle">Tier 1</h3>
<h5 align="center">Fala a recompensa super legal e talvez divertida aqui</h5>
<h5 align="center">Doe: 25 U$</h5>
</b-card>
</b-row>

<hr>

<b-row>
<b-card bg-variant="white" border-variant="dark">
<h3 align="center" id="tierTitle">Tier 2</h3>
<h5 align="center">Fala a recompensa super legal e talvez divertida aqui</h5>
<h5 align="center">Doe: 50 U$</h5>
</b-card>
</b-row>

<hr>

<b-row>
<b-card bg-variant="white" border-variant="dark">
<h3 align="center" id="tierTitle">Tier 3</h3>
<h5 align="center">Fala a recompensa super legal e talvez divertida aqui</h5>
<h5 align="center">Doe: 75 U$</h5>
</b-card>
</b-row>
</b-card-group>
</div>
<!-- Termina o Jumbotron da Progress bar e dos tiers-->
</b-jumbotron class="mt-4">
</b-col>
</b-row>

</div>
<!-- Termina todo o container-->    
</b-col>
</b-row>
</b-container>



</template>

<script>
import axios from "axios";
export default{
data() {
return{
  valor:1700,
  tierDonate:50,
  id: this.$route.params.id,
  jogos: {}
}

},
mounted(){
      axios.get('https://indienest.herokuapp.com/jogo/' + this.id).then(res => {
      console.log(res.data)
      this.jogos = res.data
    })
  },
  
}
</script>
<style>
h1{
  
}
#tierTitle{
  color: Maroon;
}
</style>